Error: "Install Java Runtime Environment 1.4.2" When running reports in Service Catalog

book

Article ID: 128045

calendar_today

Updated On:

Products

CA Service Management - Asset Portfolio Management CA Service Management - Service Desk Manager

Issue/Introduction

The error "Install Java Runtime Environment 1.4.2" appears when trying to run a report in Service Catalog.

Cause

The java applet is not running and/or is not supported by the browser.

Environment

Service Catalog 12.9 and later

Resolution

This page uses java applet so if the plugin is not installed, it will show "Install Java Runtime Environment 1.4.2"
It's not mandatory to have exactly the same version, but it is mandatory to have the java applet installed so it can be run.

To install java applet, refer to: https://java.com/en/download/help/enable_browser.xml

To test the java applet: https://www.java.com/en/download/help/testvm.xml

After installing the applet in the browser, run a report and an applet should be load above the data table.